org.springframework.web.context.request

## Interface NativeWebRequest

All Superinterfaces:
  RequestAttributes, WebRequest

All Known Subinterfaces:
  AsyncWebRequest

All Known Implementing Classes:
  DispatcherServletWebRequest, FacesWebRequest, NoSupportAsyncWebRequest, PortletWebRequest, ServletWebRequest, StandardServletAsyncWebRequest

    public interface NativeWebRequest
    extends WebRequest

Extension of the `WebRequest` interface, exposing the native request and response objects in a generic fashion.

Mainly intended for framework-internal usage, in particular for generic argument resolution code.

Since:
  2.5.2
Author:
  Juergen Hoeller

### Field Summary

### Fields inherited from interface org.springframework.web.context.request.RequestAttributes

`REFERENCE_REQUEST, REFERENCE_SESSION, SCOPE_GLOBAL_SESSION, SCOPE_REQUEST, SCOPE_SESSION`

### Method Summary

Methods
`Object` `getNativeRequest()` Return the underlying native request object, if available.
`<T> T` `getNativeRequest(Class<T> requiredType)` Return the underlying native request object, if available.
`Object` `getNativeResponse()` Return the underlying native response object, if available.
`<T> T` `getNativeResponse(Class<T> requiredType)` Return the underlying native request object, if available.

### Methods inherited from interface org.springframework.web.context.request.WebRequest

`checkNotModified, checkNotModified, getContextPath, getDescription, getHeader, getHeaderNames, getHeaderValues, getLocale, getParameter, getParameterMap, getParameterNames, getParameterValues, getRemoteUser, getUserPrincipal, isSecure, isUserInRole`

### Methods inherited from interface org.springframework.web.context.request.RequestAttributes

`getAttribute, getAttributeNames, getSessionId, getSessionMutex, registerDestructionCallback, removeAttribute, resolveReference, setAttribute`

### Method Detail

#### getNativeRequest

    Object getNativeRequest()

Return the underlying native request object, if available.

See Also:
  `HttpServletRequest`, `ActionRequest`, `RenderRequest`

#### getNativeResponse

    Object getNativeResponse()

Return the underlying native response object, if available.

See Also:
  `HttpServletResponse`, `ActionResponse`, `RenderResponse`

#### getNativeRequest

    <T> T getNativeRequest(Class<T> requiredType)

Return the underlying native request object, if available.

Parameters:
  `requiredType` - the desired type of request object
Returns:
  the matching request object, or `null` if none of that type is available
See Also:
  `HttpServletRequest`, `ActionRequest`, `RenderRequest`

#### getNativeResponse

    <T> T getNativeResponse(Class<T> requiredType)

Return the underlying native request object, if available.

Parameters:
  `requiredType` - the desired type of response object
Returns:
  the matching response object, or `null` if none of that type is available
See Also:
  `HttpServletRequest`, `ActionRequest`, `RenderRequest`